<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetTransitionCommentPermissions Method (IEdmVault20)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault20 Interface : GetTransitionCommentPermissions Method (IEdmVault20)

Visual Basic
C#
C++/CLI

lUserID
  User ID (see Remarks)

poDocIds
  Array of document IDs (see Remarks)

poTransNames
  Array of workfow transition names (see Remarks)

Gets whether the specified user must add a state change comment for the specified workflow transitions for the specified documents.

# Syntax

Visual Basic |
--- | ---

    Function GetTransitionCommentPermissions( _
       ByVal lUserID As System.Integer, _
       ByVal poDocIds() As System.Integer, _
       ByVal poTransNames() As System.String _
    ) As System.Boolean()

C# |
--- | ---

    System.bool[] GetTransitionCommentPermissions(
       System.int lUserID,
       System.int[] poDocIds,
       System.string[] poTransNames
    )

C++/CLI |
--- | ---

    System.array<bool>^ GetTransitionCommentPermissions(
    &   System.int lUserID,
    &   System.array<int>^ poDocIds,
    &   System.array<String^>^ poTransNames
    )

#### Parameters

lUserID
  User ID (see Remarks)
poDocIds
  Array of document IDs (see Remarks)
poTransNames
  Array of workfow transition names (see Remarks)

#### Return Value

Array of booleans (see Remarks)

# Example

See the IEdmVault20 examples.

# Remarks

The returned one-dimensional array contains (n * m) booleans indicating whether lUserID must add a state change comment on each workflow transition in poTransNames for each document in poDocIds.

For:

- n = size of poDocIds
- m = size of poTransNames
- permbool_* = true or false

the returned array follows the order of elements in poDocIds and poTransNames as follows:

{

permbool_poDocIds(0)_poTransNames(0)

...

permbool_poDocIds(0)_poTransNames(m-1)

permbool_poDocIds(1)_poTransNames(0)

...

permbool_poDocIds(1)_poTransNames(m-1)

...

...

permbool_poDocIds(n-1)_poTransNames(0)

...

permbool_poDocIds(n-1)_poTransNames(m-1)

}

# See Also

####

IEdmVault20 Interface
IEdmVault20 Members

# Availability

SOLIDWORKS PDM Professional 2019